{
  "name": "serverless-api-typescript",
  "version": "1.0.0",
  "description": "BoilerPlate for Serverless API with Typescript",
  "main": "index.js",
  "scripts": {
    "build": "babel src -d lib --extensions '.ts' --copy-files",
    "test": "echo \"Error: no test specified\" && exit 1",
    "predeploy": "npm run build",
    "deploy": "serverless deploy",
    "predev": "npm run build",
    "dev": "serverless offline start",
    "tsc": "tsc",
    "lint:fix": "eslint . --ext [.tsx,.ts] --fix",
    "lint": "eslint . --ext [.tsx,.ts]",
    "precommit": "npm run tsc && npm run lint",
    "deploy:stage": "serverless deploy --stage stage",
    "deploy:prod": "serverless deploy --stage prod"
  },
  "author": "renganatha10@gmail.com <Renganatha. A>",
  "license": "MIT",
  "dependencies": {
    "bcrypt-nodejs": "0.0.3",
    "jsonwebtoken": "^8.5.1",
    "uuid": "^8.3.0"
  },
  "devDependencies": {
    "@babel/cli": "^7.10.5",
    "@babel/core": "^7.11.4",
    "@babel/preset-env": "^7.11.0",
    "@babel/preset-typescript": "^7.10.4",
    "@types/aws-lambda": "^8.10.61",
    "@types/bcrypt-nodejs": "0.0.31",
    "@types/jsonwebtoken": "^8.5.0",
    "@types/node": "^14.6.2",
    "@types/uuid": "^8.3.0",
    "@typescript-eslint/eslint-plugin": "^3.10.1",
    "@typescript-eslint/parser": "^3.10.1",
    "aws-sdk": "^2.742.0",
    "eslint": "^7.7.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-import": "^2.22.0",
    "eslint-plugin-prettier": "^3.1.4",
    "husky": "^4.2.5",
    "prettier": "^2.1.1",
    "serverless": "^2.0.0",
    "serverless-dynamodb-local": "^0.2.39",
    "serverless-offline": "^6.7.0",
    "typescript": "^4.0.2"
  },
  "husky": {
    "hooks": {
      "pre-commit": "echo nothing"
    }
  }
}
